LLVM: lldb::SBThreadPlan Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBThreadPlan Class Reference

`#include <SBThreadPlan.h>`

## Public Member Functions
| SBThreadPlan ()
| SBThreadPlan (const lldb::SBThreadPlan &threadPlan)
| SBThreadPlan (const lldb::ThreadPlanSP &lldb_object_sp)
| SBThreadPlan (lldb::SBThread &thread, const char *class_name)
| ~SBThreadPlan ()
bool | IsValid () const
void | Clear ()
lldb::StopReason | GetStopReason ()
size_t | GetStopReasonDataCount ()
uint64_t | GetStopReasonDataAtIndex (uint32_t idx)
SBThread | GetThread () const
const lldb::SBThreadPlan & | operator= (const lldb::SBThreadPlan &rhs)
bool | GetDescription (lldb::SBStream &description) const
void | SetPlanComplete (bool success)
bool | IsPlanComplete ()
bool | IsPlanStale ()
bool | IsValid ()
SBThreadPlan | QueueThreadPlanForStepOverRange (SBAddress &start_address, lldb::addr_t range_size)
SBThreadPlan | QueueThreadPlanForStepInRange (SBAddress &start_address, lldb::addr_t range_size)
SBThreadPlan | QueueThreadPlanForStepOut (uint32_t frame_idx_to_step_to, bool first_insn=false)
SBThreadPlan | QueueThreadPlanForRunToAddress (SBAddress address)
lldb_private::ThreadPlan * | get ()

## Protected Member Functions
void | SetThreadPlan (const lldb::ThreadPlanSP &lldb_object_sp)

## Friends
class | lldb_private::ThreadPlan
class | SBBreakpoint
class | SBBreakpointLocation
class | SBFrame
class | SBProcess
class | SBDebugger
class | SBValue
class | lldb_private::QueueImpl
class | SBQueueItem

## Detailed Description

Definition at line 19 of file SBThreadPlan.h.

## Constructor & Destructor Documentation

lldb::SBThreadPlan::SBThreadPlan | ( |  | ) |

lldb::SBThreadPlan::SBThreadPlan | ( | const lldb::SBThreadPlan & | threadPlan | ) |

lldb::SBThreadPlan::SBThreadPlan | ( | const lldb::ThreadPlanSP & | lldb_object_sp | ) |

lldb::SBThreadPlan::SBThreadPlan | ( | lldb::SBThread & | thread,
|  | const char * | class_name
| ) |  |

lldb::SBThreadPlan::~SBThreadPlan | ( |  | ) |

## Member Function Documentation

void lldb::SBThreadPlan::Clear | ( |  | ) |

lldb_private::ThreadPlan* lldb::SBThreadPlan::get | ( |  | ) |

bool lldb::SBThreadPlan::GetDescription | ( | lldb::SBStream & | description | ) | const

lldb::StopReason lldb::SBThreadPlan::GetStopReason | ( |  | ) |

uint64_t lldb::SBThreadPlan::GetStopReasonDataAtIndex | ( | uint32_t | idx | ) |

Get information associated with a stop reason.

Breakpoint stop reasons will have data that consists of pairs of breakpoint IDs followed by the breakpoint location IDs (they always come in pairs).

Stop Reason Count Data Type ======================== ===== ========================================= eStopReasonNone 0 eStopReasonTrace 0 eStopReasonBreakpoint N duple: {breakpoint id, location id} eStopReasonWatchpoint 1 watchpoint id eStopReasonSignal 1 unix signal number eStopReasonException N exception data eStopReasonExec 0 eStopReasonPlanComplete 0

size_t lldb::SBThreadPlan::GetStopReasonDataCount | ( |  | ) |

Get the number of words associated with the stop reason. See also GetStopReasonDataAtIndex().

SBThread lldb::SBThreadPlan::GetThread | ( |  | ) | const

bool lldb::SBThreadPlan::IsPlanComplete | ( |  | ) |

bool lldb::SBThreadPlan::IsPlanStale | ( |  | ) |

bool lldb::SBThreadPlan::IsValid | ( |  | ) | const

bool lldb::SBThreadPlan::IsValid | ( |  | ) |

const lldb::SBThreadPlan& lldb::SBThreadPlan::operator= | ( | const lldb::SBThreadPlan & | rhs | ) |

SBThreadPlan lldb::SBThreadPlan::QueueThreadPlanForRunToAddress | ( | SBAddress | address | ) |

SBThreadPlan lldb::SBThreadPlan::QueueThreadPlanForStepInRange | ( | SBAddress & | start_address,
|  | lldb::addr_t | range_size
| ) |  |

SBThreadPlan lldb::SBThreadPlan::QueueThreadPlanForStepOut | ( | uint32_t | frame_idx_to_step_to,
|  | bool | first_insn = `false`
| ) |  |

SBThreadPlan lldb::SBThreadPlan::QueueThreadPlanForStepOverRange | ( | SBAddress & | start_address,
|  | lldb::addr_t | range_size
| ) |  |

void lldb::SBThreadPlan::SetPlanComplete | ( | bool | success | ) |

void lldb::SBThreadPlan::SetThreadPlan | ( | const lldb::ThreadPlanSP & | lldb_object_sp | ) |
| protected

## Friends And Related Function Documentation

friend class lldb_private::QueueImpl
| friend

Definition at line 102 of file SBThreadPlan.h.

friend class lldb_private::ThreadPlan
| friend

Definition at line 21 of file SBThreadPlan.h.

friend class SBBreakpoint
| friend

Definition at line 96 of file SBThreadPlan.h.

friend class SBBreakpointLocation
| friend

Definition at line 97 of file SBThreadPlan.h.

friend class SBDebugger
| friend

Definition at line 100 of file SBThreadPlan.h.

friend class SBFrame
| friend

Definition at line 98 of file SBThreadPlan.h.

friend class SBProcess
| friend

Definition at line 99 of file SBThreadPlan.h.

friend class SBQueueItem
| friend

Definition at line 103 of file SBThreadPlan.h.

friend class SBValue
| friend

Definition at line 101 of file SBThreadPlan.h.

The documentation for this class was generated from the following file:

- SBThreadPlan.h